# Bluetooth set state

An action block that enables or disables Bluetooth.

The fiber will proceed immediately without pause.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `svc bluetooth <enable|disable>`

This block requires the Automate legacy extension on Android 13+, which due to an Android bug may not be granted the “Nearby devices” permission when installed, ensure it’s granted in system App settings.

Chinese brand devices, e.g. Huawei, Xiaomi, may show a non-standard confirmation dialog when an app tries to enable Bluetooth, try using a Bluetooth workaround in settings.

## Input arguments

- Bluetooth — whether to enable or disable Bluetooth.